# MPI_Group_translate_ranks

## NAME

MPI_Group_translate_ranks − Translates the ranks of one group into those of another group.

## SYNTAX

## C Syntax

#include <mpi.h>
int MPI_Group_translate_ranks(MPI_Group group1, int n, int *ranks1,

|  | MPI_Group group2, int *ranks2)

## Fortran Syntax

INCLUDE ’mpif.h’
MPI_Group_translate_ranks(GROUP1, N, RANKS1, GROUP2, RANKS2, IERROR)

|  | INTEGER |  | GROUP1, N, RANKS1(*), GROUP2, RANKS2(*), IERROR

## C++ Syntax

#include <mpi.h>
void MPI::Group::Translate_ranks(const MPI::Group& group1, int n,

| const int ranks1[], const MPI::Group& group2, int ranks2[]) const

## INPUT PARAMETERS

| group1 |  | First group (handle). |
| n |  | Number of ranks in ranks1 and ranks2 arrays (integer). |
| ranks1 |  | Array of ranks in group1. |
| group2 |  | Second group (handle). |

## OUTPUT PARAMETERS

| ranks2 |  | Array of ranks in group2, or MPI_UNDEFINED if no correspondence exists.
| IERROR |  | Fortran only: Error status (integer).

## FOR MORE INFORMATION

For more information, see page 193 of the MPI 2.2 standard.

MPI API Index